Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_uri_as_string

## Name

librdf_uri_as_string -- Get a pointer to the string representation of the URI

## Synopsis

``unsigned char* `librdf_uri_as_string`` (librdf_uri * `uri`);`

## Arguments

`uri`

  librdf_uri object

## Description

Returns a shared pointer to the URI string representation.

## Note

does not allocate a new string so the caller must not free it.

## Return value

string representation of URI

<<< Previous | Home | Next >>>
librdf_free_uri | Up | librdf_uri_as_counted_string